summaryrefslogtreecommitdiff
path: root/taler-build
diff options
context:
space:
mode:
authorFlorian Dold <florian.dold@gmail.com>2016-04-26 18:00:38 +0200
committerFlorian Dold <florian.dold@gmail.com>2016-04-26 18:13:06 +0200
commite3213c24b421dd90f32b2c358ecadf7166257d6a (patch)
treedfebd573cc5f155eca053d922e753fd3c9e63728 /taler-build
parent9b863d542e105abcca4d823698280f3726cc26a8 (diff)
downloaddeployment-e3213c24b421dd90f32b2c358ecadf7166257d6a.tar.gz
deployment-e3213c24b421dd90f32b2c358ecadf7166257d6a.tar.bz2
deployment-e3213c24b421dd90f32b2c358ecadf7166257d6a.zip
go back to HOME based configs again
Diffstat (limited to 'taler-build')
-rwxr-xr-xtaler-build/invalidate.sh10
-rwxr-xr-xtaler-build/update_bank.sh21
-rwxr-xr-xtaler-build/update_exchange.sh16
-rwxr-xr-xtaler-build/update_gnunet.sh16
-rwxr-xr-xtaler-build/update_landing.sh2
-rwxr-xr-xtaler-build/update_libgnurl.sh11
-rwxr-xr-xtaler-build/update_libmicrohttpd.sh16
-rwxr-xr-xtaler-build/update_merchant.sh38
-rwxr-xr-xtaler-build/update_merchant_frontends.sh21
9 files changed, 61 insertions, 90 deletions
diff --git a/taler-build/invalidate.sh b/taler-build/invalidate.sh
index 13c8c8e..7f77863 100755
--- a/taler-build/invalidate.sh
+++ b/taler-build/invalidate.sh
@@ -8,23 +8,21 @@
set -eu
-base=${TALER_DEPLOYMENT_BASE:-$HOME}
-
for component in exchange merchant bank gnurl merchant-frontends landing; do
- cd $base/$component
+ cd $HOME/$component
git fetch
if git status -sb | grep behind; then
echo "invalidating $component"
- rm -f $base/deployment/taler-build/$component-stamp
+ rm -f $HOME/deployment/taler-build/$component-stamp
fi
done
for component in gnunet libmicrohttpd; do
- cd $base/$component
+ cd $HOME/$component
svnHead=$(svn info -r HEAD | awk '/^Revision/ {print $2}')
svnBase=$(svn info -r BASE | awk '/^Revision/ {print $2}')
if test $svnHead != $svnBase; then
echo "invalidating $component"
- rm -f $base/deployment/taler-build/$component-stamp
+ rm -f $HOME/deployment/taler-build/$component-stamp
fi
done
diff --git a/taler-build/update_bank.sh b/taler-build/update_bank.sh
index 2eff9c9..43056db 100755
--- a/taler-build/update_bank.sh
+++ b/taler-build/update_bank.sh
@@ -1,15 +1,12 @@
#!/bin/bash
-base=${TALER_DEPLOYMENT_BASE:-$HOME}
+set -eu
-export PATH="$base/deployment":$PATH
-
-cd $base/bank/ && \
- git pull && \
- git submodule update --init && \
- git clean -fxd && \
- ./bootstrap && \
- ./configure --prefix="$base/local" && \
- make && \
- make install && \
- cd $base/deployment
+cd $base/bank/
+git pull
+git submodule update --init
+git clean -fxd
+./bootstrap
+./configure --prefix="$base/local"
+make
+make install
diff --git a/taler-build/update_exchange.sh b/taler-build/update_exchange.sh
index 9d3fed3..1e96119 100755
--- a/taler-build/update_exchange.sh
+++ b/taler-build/update_exchange.sh
@@ -1,27 +1,25 @@
#!/bin/bash
-base=${TALER_DEPLOYMENT_BASE:-$HOME}
-export PATH="$base/deployment":$PATH
+export PATH="$HOME/deployment":$PATH
build_exchange() {
(
set -eu
- base=${TALER_DEPLOYMENT_BASE:-$HOME}
- cd $base/exchange
+ cd $HOME/exchange
git clean -fdx
./bootstrap
./configure CFLAGS='-ggdb -O0' \
- --with-libgnurl=$base/local \
- --with-microhttpd=$base/local \
- --prefix=$base/local --with-gnunet=$base/local \
+ --with-libgnurl=$HOME/local \
+ --with-microhttpd=$HOME/local \
+ --prefix=$HOME/local --with-gnunet=$HOME/local \
--enable-logging=verbose
make
make install
)
}
-cd $base/exchange && \
+cd $HOME/exchange && \
git pull && \
- cd $base/deployment && \
+ cd $HOME/deployment && \
build_exchange
diff --git a/taler-build/update_gnunet.sh b/taler-build/update_gnunet.sh
index 019623f..c2201ba 100755
--- a/taler-build/update_gnunet.sh
+++ b/taler-build/update_gnunet.sh
@@ -1,11 +1,11 @@
#!/bin/bash
-base=${TALER_DEPLOYMENT_BASE:-$HOME}
+set -eu
-cd $base/gnunet/ && \
- svn revert -R . && \
- svn update && \
- ./bootstrap && \
- ./configure --prefix=$base/local --enable-logging=verbose --with-libgnurl=$base/local --with-microhttps=$base/local && \
- make && \
- make install
+cd $HOME/gnunet/
+svn revert -R .
+svn update
+./bootstrap
+./configure --prefix=$HOME/local --enable-logging=verbose --with-libgnurl=$HOME/local --with-microhttps=$HOME/local
+make
+make install
diff --git a/taler-build/update_landing.sh b/taler-build/update_landing.sh
index 253b05f..c75166c 100755
--- a/taler-build/update_landing.sh
+++ b/taler-build/update_landing.sh
@@ -1,7 +1,7 @@
#!/bin/bash
set -e
-base=${TALER_DEPLOYMENT_BASE:-$HOME}
+base=$HOME
cd $base/landing
git pull
diff --git a/taler-build/update_libgnurl.sh b/taler-build/update_libgnurl.sh
index 738bc8e..2860fec 100755
--- a/taler-build/update_libgnurl.sh
+++ b/taler-build/update_libgnurl.sh
@@ -1,22 +1,17 @@
#!/bin/bash
-base=${TALER_DEPLOYMENT_BASE:-$HOME}
-export PATH="$base/deployment":$PATH
-
build_gnurl() {
(
set -eu
- base=${TALER_DEPLOYMENT_BASE:-$HOME}
-
- cd $base/gnurl
+ cd $HOME/gnurl
git clean -fdx
./buildconf
- ./configure --enable-ipv6 --with-gnutls --without-libssh2 --without-libmetalink --without-winidn --without-librtmp --without-nghttp2 --without-nss --without-cyassl --without-polarssl --without-ssl --without-winssl --without-darwinssl --disable-sspi --disable-ntlm-wb --disable-ldap --disable-rtsp --disable-dict --disable-telnet --disable-tftp --disable-pop3 --disable-imap --disable-smtp --disable-gopher --disable-file --disable-ftp --disable-smb --prefix=$base/local
+ ./configure --enable-ipv6 --with-gnutls --without-libssh2 --without-libmetalink --without-winidn --without-librtmp --without-nghttp2 --without-nss --without-cyassl --without-polarssl --without-ssl --without-winssl --without-darwinssl --disable-sspi --disable-ntlm-wb --disable-ldap --disable-rtsp --disable-dict --disable-telnet --disable-tftp --disable-pop3 --disable-imap --disable-smtp --disable-gopher --disable-file --disable-ftp --disable-smb --prefix=$HOME/local
make
make install
)
}
-cd $base/gnurl/ && \
+cd $HOME/gnurl/ && \
git pull && \
build_gnurl
diff --git a/taler-build/update_libmicrohttpd.sh b/taler-build/update_libmicrohttpd.sh
index 40b6bea..ba90b25 100755
--- a/taler-build/update_libmicrohttpd.sh
+++ b/taler-build/update_libmicrohttpd.sh
@@ -1,11 +1,9 @@
#!/bin/bash
-base=${TALER_DEPLOYMENT_BASE:-$HOME}
-
-cd $base/libmicrohttpd/ && \
- svn revert -R . && \
- svn update && \
- ./bootstrap && \
- ./configure --prefix=$base/local && \
- make && \
- make install
+cd $HOME/libmicrohttpd/
+svn revert -R .
+svn update
+./bootstrap
+./configure --prefix=$HOME/local
+make
+make install
diff --git a/taler-build/update_merchant.sh b/taler-build/update_merchant.sh
index bda4290..fab648f 100755
--- a/taler-build/update_merchant.sh
+++ b/taler-build/update_merchant.sh
@@ -1,28 +1,16 @@
#!/bin/bash
-base=${TALER_DEPLOYMENT_BASE:-$HOME}
-export PATH="$base/deployment":$PATH
+set -eu
-build_merchant() {
- (
- set -eu
- base=${TALER_DEPLOYMENT_BASE:-$HOME}
-
- cd $base/merchant
- git clean -fdx
- ./bootstrap
- ./configure CFLAGS='-ggdb -O0' \
- --prefix=$base/local --with-gnunet=$base/local \
- --with-mint=$base/local \
- --with-microhttpd=$base/local \
- --enable-logging=verbose
- make
- make install
- )
-}
-
-cd $base/merchant/ && \
- git pull && \
- git submodule update --init && \
- cd $base/deployment && \
- build_merchant
+cd $HOME/merchant/
+git pull
+git submodule update --init
+git clean -fdx
+./bootstrap
+./configure CFLAGS='-ggdb -O0' \
+ --prefix=$HOME/local --with-gnunet=$HOME/local \
+ --with-mint=$HOME/local \
+ --with-microhttpd=$HOME/local \
+ --enable-logging=verbose
+make
+make install
diff --git a/taler-build/update_merchant_frontends.sh b/taler-build/update_merchant_frontends.sh
index 3e206c9..0a948ab 100755
--- a/taler-build/update_merchant_frontends.sh
+++ b/taler-build/update_merchant_frontends.sh
@@ -1,15 +1,12 @@
#!/bin/bash
-base=${TALER_DEPLOYMENT_BASE:-$HOME}
+set -eu
-export PATH="$base/deployment":$PATH
-
-cd $base/merchant-frontends/ && \
- git pull && \
- git submodule update --init && \
- git clean -fxd && \
- ./bootstrap && \
- ./configure --prefix="$base/local" && \
- make && \
- make install && \
- cd $base/deployment
+cd $HOME/merchant-frontends/
+git pull
+git submodule update --init
+git clean -fxd
+./bootstrap
+./configure --prefix="$HOME/local"
+make
+make install